Bug 221027 - Review Request: LabPlot - Data Analysis and Visualization
Review Request: LabPlot - Data Analysis and Visualization
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-30 10:41 EST by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-28 12:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
failed build log (377.85 KB, text/plain)
2007-02-04 06:48 EST, Chitlesh GOORAH
no flags Details
rpmlint log for LabPlot 1.5.1.5-4 (19.19 KB, text/plain)
2007-04-11 10:49 EDT, Mamoru TASAKA
no flags Details
LabPlot.spec with some fixes added (10.18 KB, text/plain)
2007-04-11 15:13 EDT, Mamoru TASAKA
no flags Details
mock build log of LabPlot-1.5.1.5-5 on FC-devel i386 (591.50 KB, text/plain)
2007-04-13 11:27 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Chitlesh GOORAH 2006-12-30 10:41:10 EST
Spec URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot-1.5.1.4-1.src.rpm
Description:
LabPlot is for scientific 2D and 3D data and function plotting.
The various display and analysis functions are explained in the
handbook (KDE help center). LabPlot also provides a component
for easily viewing the project files in Konqueror.
Comment 1 Karol Trzcionka 2006-12-30 15:27:24 EST
I am not sponsored, it is a prereview.

I think You should be consistently using the macro %{name} in %files in
spec-file. For example in %files devel
%{_libdir}/lib%{name}.so
%{_libdir}/libLabPlotnetCDF.so
I think it will be better if it is:
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}netCDF.so

Rebuild with mock is correct.

Rpmlint:
SRPM - NULL - ok
RPM(base):
W: LabPlot dangling-symlink /usr/share/doc/HTML/br/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot symlink-should-be-relative /usr/share/doc/HTML/br/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot dangling-symlink /usr/share/doc/HTML/pl/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot symlink-should-be-relative /usr/share/doc/HTML/pl/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot dangling-symlink /usr/share/doc/HTML/fr/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot symlink-should-be-relative /usr/share/doc/HTML/fr/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot dangling-symlink /usr/share/doc/HTML/nl/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot symlink-should-be-relative /usr/share/doc/HTML/nl/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot dangling-symlink /usr/share/doc/HTML/sv/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot symlink-should-be-relative /usr/share/doc/HTML/sv/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot dangling-symlink /usr/share/doc/HTML/de/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot symlink-should-be-relative /usr/share/doc/HTML/de/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot dangling-symlink /usr/share/doc/HTML/it/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
W: LabPlot symlink-should-be-relative /usr/share/doc/HTML/it/LabPlot/small_pics
/usr/share/doc/HTML/en/LabPlot/small_pics/
It is not ok.
RPM(devel) - NULL - ok

You should fix it.
Comment 2 Chitlesh GOORAH 2006-12-30 20:26:20 EST
A new upstream stable version has been released.
Ill make those changes in the upcoming days.
Comment 3 Chitlesh GOORAH 2007-01-01 11:14:16 EST
Updated
Spec URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot-1.5.1.5-1.src.rpm

changelog
- New stable release 1.5.1.5
- Fixed symlink-should-be-relative rpmlint issues
- Removed numerous entries on kmenu
- Added examples in a new -doc package
- Building pdf handbook for different languages
- Breaking down -doc package for different languages
Comment 4 Julian Sikorski 2007-01-02 12:10:35 EST
To use system-wide qwtplot3d, pass --enable-system-qwtplot3d to configure and
export QWT3D_PATH=/usr/lib/qt-3.3/lib. For netcdf, please see bug #221022.
Comment 5 Julian Sikorski 2007-01-02 14:56:23 EST
I have noticed that you have enabled libundo. I will post a review request
soonish. I also have a spec for liborigin, so lemme know if you get LabPlot to
use system-wide one.
Comment 6 Julian Sikorski 2007-01-03 03:44:39 EST
Also add audiofile-devel to BuildRequires.
Comment 7 Chitlesh GOORAH 2007-01-05 06:36:45 EST
Updated
Spec URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot-1.5.1.5-2.src.rpm

Changelog - 1.5.1.5-2
- Added audiofile-devel, qwtplot3d-devel, ocaml and netcdf-devel as BR
- using qwtplot3d and netcdf system wide #221022
- Fixed qt-qsa headers
Comment 8 Orion Poplawski 2007-01-10 15:37:10 EST
Build fails for me in mock with:

RPM build errors:
    File not found by glob:
/var/tmp/LabPlot-1.5.1.5-2.fc6-root-mockbuild/usr/lib/libLabPlotnetCDF.so.3*
    File not found by glob:
/var/tmp/LabPlot-1.5.1.5-2.fc6-root-mockbuild/usr/lib/libLabPlotqwtplot3d.so.0*
    File not found:
/var/tmp/LabPlot-1.5.1.5-2.fc6-root-mockbuild/usr/lib/libLabPlotnetCDF.so
    File not found:
/var/tmp/LabPlot-1.5.1.5-2.fc6-root-mockbuild/usr/lib/libLabPlotqwtplot3d.so
Comment 9 Rex Dieter 2007-01-11 08:35:52 EST
A few comments:
1. 
Requires:          kdelibs ImageMagick-c++ gsl fftw
aren't required, rpm will(should!) pick these up automatically, you should
remove these manual dependencies.

2. subpkgs, particularly -devel, should
Requires: %{name} = %{version}-%{devel}

3.  configure \
%ifarch x86_64 sparc64 ppc64 amd64
  --enable-libsuffix=64 \
  --with-qt-libraries=$QTDIR/lib \
%endif
shouldn't be required.  qt packaging properly sets QTLIB env variable for awhile
now.

4.  instead of 
sed -i -e \
    s'|Categories=Qt;KDE;Education;Science;Physics;Math;|Categories=Science;|' \
    %{buildroot}%{_datadir}/applications/kde/%{name}.desktop
It's preferable to use
desktop-file-install --remove-category="..."
(and I'd argue you shouldn't be removing "Qt;KDE;Education" categories

5.  items under
%{_datadir}/apps/%{name}/handbook
imo, should be marked %doc

6.  These are not required:
%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig
and -devel's
Requires(post):    /sbin/ldconfig
Requires(postun):  /sbin/ldconfig
Comment 10 Chitlesh GOORAH 2007-01-13 08:22:15 EST
(In reply to comment #9)
> 2. subpkgs, particularly -devel, should
> Requires: %{name} = %{version}-%{devel}

Hmm how can a %{name}-%{version}-%{devel} be "autodependent" ?
%{name}-%{version}-%{devel} depends on %{name}-%{version}-%{devel} doesn't make
sense.

> 4.  instead of 
> sed -i -e \
>     s'|Categories=Qt;KDE;Education;Science;Physics;Math;|Categories=Science;|' \
>     %{buildroot}%{_datadir}/applications/kde/%{name}.desktop
> It's preferable to use
> desktop-file-install --remove-category="..."
> (and I'd argue you shouldn't be removing "Qt;KDE;Education" categories

Labplot will be part of the Scientific Tools at Fedora at the same time a KDE
package.
Since Labplot will be installed at kmenu>Edutainement>Mathematics and other
scientific tools such as Qalculate, the next release of the geda packages, kicad
and xcircuit are being installed at kmenu>Science&Math, that is why I prefer
that important tool, Labplot, to be installed at Science&Math instead of having
multiple copies/items of Labplot in the kmenu (which makes the kde menu huge)
Comment 12 Orion Poplawski 2007-01-19 16:31:37 EST
Build for me for FC6 in mock.  Looks like it can't find the following:

checking for main in -lkexidb... no

  -> this is in koffice-devel

Don't know what functionality this would provide...

Also can't find:

checking for texvc... no

 -> This is part of mediawiki.  LabPlot uses it's own included version.  Not
sure if this is a big deal or not.

checking cdfrev.h usability... no
checking cdfrev.h presence... no
checking for cdfrev.h... no
checking for main in -lcdf... no

But this doesn't seem to be in Extras.  Again, no idea what this affects, just
pointing it out.

Finally:

cephes :                using included cephes library.

but this isn't packaged seperately in FE.

Comment 13 Chitlesh GOORAH 2007-01-20 08:25:47 EST
The original cephes-math library, http://www.moshier.net/cephes-math-38.tar.gz/
From readme file:

   "Some software in this archive may be from the book _Methods and
Programs for Mathematical Functions_ (Prentice-Hall, 1989) or
from the Cephes Mathematical Library, a commercial product. In
either event, it is copyrighted by the author.  What you see here
may be used freely but it comes with no support or guarantee."

From the INSTALL file:
"Precompiled libraries and programs are supplied here for ix86-linux."

I don't think that the original cephes-math library is compatible with Fedora
policies
Comment 14 Chitlesh GOORAH 2007-01-20 11:23:56 EST
Looking forward to use liborigin system wide.
Comment 15 Paul F. Johnson 2007-01-21 06:01:40 EST
The URL in #11 gives a 404
Comment 16 Chitlesh GOORAH 2007-02-03 16:30:02 EST
Are you still have the 404 error ?
Comment 17 Paul F. Johnson 2007-02-04 05:11:05 EST
Yes
Comment 19 Chitlesh GOORAH 2007-02-04 06:23:59 EST
(In reply to comment #18)
> (In reply to comment #11)
> > Updated:
> > Spec URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot.spec
> > SRPM URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot-1.5.1.4-3.src.rpm
> 
> SRPM should be:
> http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot-1.5.1.5-3.src.rpm
> Perhaps just a typo.


Yes it should , sorry
however :
this is wrong:
    --remove-category="KDE"                    \
    --remove-category="Qt"                     \
    --remove-category="Physics"                \
    --remove-category="Education"              \
    --remove-category="Math"                   \

I'll fix it.
Comment 20 Chitlesh GOORAH 2007-02-04 06:48:18 EST
Created attachment 147298 [details]
failed build log

failed build log
Comment 21 Chitlesh GOORAH 2007-02-04 06:49:48 EST
the supplied liborigin from LabPlot is no more built, but however it calls for
liborigin.la.

liborigin.la isn't supplied by the liborigin that recently got approved.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=223598

make[2]: *** No rule to make target `../liborigin/liborigin.la', needed by
`LabPlot'.  Stop.
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/home/chitlesh/rpmbuild/BUILD/LabPlot-1.5.1.5/src'
Comment 22 Paul F. Johnson 2007-02-04 10:41:26 EST
Oddly enough, it built fine on my FC rawhide x86 box in and out of mock.

Do you want to fix the problems and I can review it?
Comment 24 Chitlesh GOORAH 2007-03-15 04:33:53 EDT
Ping ?
Comment 25 Chitlesh GOORAH 2007-04-11 06:28:55 EDT
following comment #24, I'm removing Paul Johnson from the reviewer list. 

Feel free to tqke over the reviewer :)
Comment 26 Mamoru TASAKA 2007-04-11 10:48:18 EDT
Well, actually I have not read the previous discussion
in this bug, so some of them I write below may be already
addressed previously...

For 1.5.1.5-4:

A. Spec file description
* SourceURL
  - Please check http://fedoraproject.org/wiki/Packaging/SourceURL

* Dependency for main package
  - Usually dependency for main package should be release number
    specific.

* Conditional dependency
--------------------------------------------------------
# Use of --enable-final: The gsl version 1.6 has a bug which may cause problems.
--------------------------------------------------------
  - While I don't know what --enable-final does, however rawhide
    gsl is gsl-1.8-3.fc7. Please check if this feature can be enabled.

    By the way, configure checkes gsl version.......
--------------------------------------------------------
gsl :                   yes
gsl-devel :             yes
gsl >= 1.4 :            yes
gsl >= 1.6 :            yes
gsl >= 1.7 :            yes
--------------------------------------------------------

B. File entry
* French documentation files
  - While you split br, de, ... language documentation files into
    seperate subpackages, why don't you split French documents?

* Doc rpms dependency
  - Currently, this is corrupted. Also for _installed_ rpms, 
    I get the following rpmlint.
--------------------------------------------------------
[tasaka1@localhost ~]$ rpmlint LabPlot-doc-it
W: LabPlot-doc-it dangling-relative-symlink
/usr/share/doc/HTML/it/LabPlot/small_pics ../../en/LabPlot/small_pics
[tasaka1@localhost ~]$ rpm -qa | grep LabPlot | sort
LabPlot-1.5.1.5-4.fc7
LabPlot-devel-1.5.1.5-4.fc7
LabPlot-doc-it-1.5.1.5-4.fc7
--------------------------------------------------------

B. rpmlint
* Attached (currently only 3 rpms above are installed).
  Summary:
  - There are many files withWindows style end-of-line encoding.
    NOTE: there are no complaint about this on main package, however
          allmost all files under /usr/share/apps/LabPlot/colormaps
          in main package also have Windows-like end-of-file encodings
          so they should be fixed.
  - Symlinks are corrupted (see above)
  - For undefined-non-weak-symbol:
    * First of all, what is the use of -devel package? There are no
      header files in -devel package, so generally other applications
      has no way to know how to link against libLabPlot.so or
      libLabPlotcephes.so. Is this -devel package really useful?
    * If the libraries libLabPlot.so or libLabPlotcephes.so are supposed
      to be linked from other packages, then these 
      undefined-non-weak-symbols are the BLOCKER for this review request
      because leaving these symbols leads linkage for these 
      libraries to failure.
    
C. File check
* Non-UTF8 documentation
  - Some of the documents installed are not encoded in UTF-8.
--------------------------------------------------------
/usr/share/doc/LabPlot-1.5.1.5/BUGS:                  ISO-8859 English text
/usr/share/doc/LabPlot-1.5.1.5/ChangeLog:             ISO-8859 Java program text
/usr/share/doc/LabPlot-1.5.1.5/TODO:                  ISO-8859 English text
/usr/share/doc/LabPlot-1.5.1.5/WISHLIST:              ISO-8859 English text
--------------------------------------------------------
Comment 27 Mamoru TASAKA 2007-04-11 10:49:39 EDT
Created attachment 152278 [details]
rpmlint log for LabPlot 1.5.1.5-4
Comment 28 Mamoru TASAKA 2007-04-11 11:05:03 EDT
(In reply to comment #21)
> the supplied liborigin from LabPlot is no more built, but however it calls for
> liborigin.la.
> 
> liborigin.la isn't supplied by the liborigin that recently got approved.
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=223598

IMO you should apply a patch against LabPlot to use system-wide
liborigin.
Comment 29 Mamoru TASAKA 2007-04-11 15:13:18 EDT
Created attachment 152314 [details]
LabPlot.spec with some fixes added

LabPlot.spec with
- Use system liborigin library
- Shut up undefined non-weak symbols
- Fix end-of-line encodings of [Mm]ap file
- Change the encoding of a part of documents
- Require doc for doc-?? subpackage

NOTE that not all of the issues I pointed out
are fixed. Please check the spec file attached,
and _modify_ it.

Now rpmlint for binary rpms are
----------------------------------------------
W: LabPlot incoherent-version-in-changelog 1.5.1.5-4 1.5.1.5-4.2.fc7
W: LabPlot-devel no-documentation
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/qwt.lpl.gz
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/rydberg.lpl.gz
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/fit.lpl.gz
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/analysis.lpl.gz
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/axeslabel.lpl.gz
W: LabPlot-doc-br dangling-relative-symlink
/usr/share/doc/HTML/br/LabPlot/small_pics ../../en/LabPlot/small_pics
W: LabPlot-doc-de dangling-relative-symlink
/usr/share/doc/HTML/de/LabPlot/small_pics ../../en/LabPlot/small_pics
W: LabPlot-doc-it dangling-relative-symlink
/usr/share/doc/HTML/it/LabPlot/small_pics ../../en/LabPlot/small_pics
W: LabPlot-doc-nl dangling-relative-symlink
/usr/share/doc/HTML/nl/LabPlot/small_pics ../../en/LabPlot/small_pics
W: LabPlot-doc-pl dangling-relative-symlink
/usr/share/doc/HTML/pl/LabPlot/small_pics ../../en/LabPlot/small_pics
W: LabPlot-doc-sv dangling-relative-symlink
/usr/share/doc/HTML/sv/LabPlot/small_pics ../../en/LabPlot/small_pics
--------------------------------------------------

For installed:
--------------------------------------------------
[tasaka1@localhost i386]$ rpmlint LabPlot
W: LabPlot incoherent-version-in-changelog 1.5.1.5-4 1.5.1.5-4.2.fc7
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libgslcblas.so.0
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/liblcms.so.1
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libfreetype.so.6
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libjpeg.so.62
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libfontconfig.so.1
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libXext.so.6
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libSM.so.6
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libICE.so.6
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libX11.so.6
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libXt.so.6
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libbz2.so.1
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/lib/libz.so.1
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libWand.so.10
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/lib/libpthread.so.0
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libGL.so.1
W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
/usr/lib/libGLU.so.1
[tasaka1@localhost i386]$ rpmlint LabPlot-devel
W: LabPlot-devel no-documentation
[tasaka1@localhost i386]$ rpmlint LabPlot-doc-it
[tasaka1@localhost i386]$ rpmlint LabPlot-doc
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/qwt.lpl.gz
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/rydberg.lpl.gz
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/fit.lpl.gz
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/analysis.lpl.gz
W: LabPlot-doc file-not-utf8
/usr/share/doc/LabPlot-doc-1.5.1.5/examples/axeslabel.lpl.gz
-----------------------------------------------

ldd says:
[tasaka1@localhost i386]$ ldd -r /usr/lib/libLabPlot.so | grep liborigin
	liborigin.so.0 => /usr/lib/liborigin.so.0 (0x0098b000)
Comment 30 Chitlesh GOORAH 2007-04-13 07:41:17 EDT
(In reply to comment #26)

> * Conditional dependency
> --------------------------------------------------------
> # Use of --enable-final: The gsl version 1.6 has a bug which may cause 
problems.
> --------------------------------------------------------
>   - While I don't know what --enable-final does, however rawhide
>     gsl is gsl-1.8-3.fc7. Please check if this feature can be enabled.
> 
>     By the way, configure checkes gsl version.......
> --------------------------------------------------------
> gsl :                   yes
> gsl-devel :             yes
> gsl >= 1.4 :            yes
> gsl >= 1.6 :            yes
> gsl >= 1.7 :            yes
> --------------------------------------------------------

It is still broken.


(In reply to comment #29)
> [tasaka1@localhost i386]$ rpmlint LabPlot
> W: LabPlot incoherent-version-in-changelog 1.5.1.5-4 1.5.1.5-4.2.fc7
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libgslcblas.so.0
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/liblcms.so.1
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libfreetype.so.6
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libjpeg.so.62
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libfontconfig.so.1
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libXext.so.6
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libSM.so.6
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libICE.so.6
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libX11.so.6
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libXt.so.6
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libbz2.so.1
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /lib/libz.so.1
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libWand.so.10
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /lib/libpthread.so.0
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libGL.so.1
> W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> /usr/lib/libGLU.so.1


It can be ignored.
Comment 31 Mamoru TASAKA 2007-04-13 07:50:45 EDT
(In reply to comment #30)
> 
> (In reply to comment #29)
> > [tasaka1@localhost i386]$ rpmlint LabPlot
> > W: LabPlot incoherent-version-in-changelog 1.5.1.5-4 1.5.1.5-4.2.fc7
> > W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> > /usr/lib/libgslcblas.so.0
> > W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> > /usr/lib/liblcms.so.1
> > W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> > /usr/lib/libfreetype.so.6
> > W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> > /usr/lib/libjpeg.so.62
> > W: LabPlot unused-direct-shlib-dependency /usr/lib/libLabPlot.so.1.5.1
> > /usr/lib/libfontconfig.so.1
> 
> It can be ignored.
Yes.

Anyway, please check my spec file and fix it.
Especially, 
* it seems for me that -devel package is not useful because
  -devel package does not contain any header files
* I don't understand why you don't split -fr documents
Comment 33 Chitlesh GOORAH 2007-04-13 08:00:36 EDT
(In reply to comment #31)
> * I don't understand why you don't split -fr documents

I've done it.

Comment 34 Mamoru TASAKA 2007-04-13 11:27:36 EDT
Created attachment 152548 [details]
mock build log of LabPlot-1.5.1.5-5 on FC-devel i386

mockbuild fails on FC-devel i386 (at least due to
non-checked existing files).

I just tried to rebuild -5, however:
* Are the .so symlink needed?
Comment 35 Mamoru TASAKA 2007-04-22 02:31:23 EDT
ping?
Comment 36 Chitlesh GOORAH 2007-04-24 14:06:05 EDT
Updated
Spec URL: http://tux.u-strasbg.fr/~chit/LabPlot/LabPlot.spec
Comment 37 Mamoru TASAKA 2007-04-24 14:41:38 EDT
Please change release number correctly...
Also please also upload a new srpm.
Comment 38 Mamoru TASAKA 2007-04-25 12:28:25 EDT
Well, please change release number properly.
Other things are okay.

-----------------------------------------------------
   This package (LabPlot) is APPROVED by me
-----------------------------------------------------
Comment 40 Chitlesh GOORAH 2007-04-26 04:35:59 EDT
New Package CVS Request
=======================
Package Name: LabPlot
Short Description: Data Analysis and Visualization
Owners: cgoorah@yahoo.com.au
Branches: FC-6
Comment 42 Mamoru TASAKA 2007-04-28 04:45:56 EDT
I don't know well about ocaml, however from I tried
on FC-devel i386, the line
--------------------------------------
ocamlc -c tex.mli
--------------------------------------
seems to fail when 
--------------------------------------
ocamlc -c render_info.mli
--------------------------------------
is not finished.

So...  would you try to disable parallel make support?
Comment 43 Chitlesh GOORAH 2007-04-28 12:53:28 EDT
It works when parallel make for ppc arch is disabled.
thanks Mamoru

Note You need to log in before you can comment on or make changes to this bug.